//
//  ExampleNineViewController.m
//  RHTableViewProvider
//
//  Created by Rob Hayward on 05/06/2013.
//  Copyright (c) 2013 Rob Hayward. All rights reserved.
//

#import "ExampleNineViewController.h"

@implementation ExampleNineViewController

- (void)viewWillAppear:(BOOL)animated
{
  [super viewWillAppear:animated];
  if (!self.tableView)
  {
    self.tableView = [RHTableViewProvider tableViewWithFrame:self.view.bounds style:UITableViewStylePlain forSuperView:self.view];
    self.provider = [[RHTableViewProvider alloc] initWithTableView:_tableView delegate:self customise:YES];
    
    NSDictionary *section1 = @{RHTVPSectionRows:@[@"One", @"Two", @"Three", @"Four", @"Five"], RHTVPSectionHeader:@"Section One", RHTVPSectionExpandable:@1};
    NSDictionary *section2 = @{RHTVPSectionRows:@[@"Six", @"Seven", @"Eight", @"Nine", @"Ten"], RHTVPSectionHeader:@"Section Two", RHTVPSectionExpandable:@2};
    NSDictionary *section3 = @{RHTVPSectionRows:@[@"Six", @"Seven", @"Eight", @"Nine", @"Ten"], RHTVPSectionHeader:@"Section Three", RHTVPSectionExpandable:@3};
    NSDictionary *section4 = @{RHTVPSectionRows:@[@"Six", @"Seven", @"Eight", @"Nine", @"Ten"], RHTVPSectionHeader:@"Section Four", RHTVPSectionExpandable:@4};
    NSDictionary *section5 = @{RHTVPSectionRows:@[@"Six", @"Seven", @"Eight", @"Nine", @"Ten"], RHTVPSectionHeader:@"Section Five", RHTVPSectionExpandable:@5};
    
    [_provider setContent:@[section1, section2, section3, section4, section5] withSections:YES];
  }
}

@end
