//
//  RHTableViewProviderDelegate.h
//  RHTableViewProvider
//
//  Created by Rob Hayward on 11/01/2013.
//  Copyright (c) 2013 Rob Hayward. All rights reserved.
//

#import <Foundation/Foundation.h>

@class RHTableViewProvider;

@protocol RHTableViewProviderDelegate <NSObject>

@optional
- (NSString *)RHTableViewProvider:(RHTableViewProvider *)provider cellClassForRowAtIndexPath:(NSIndexPath *)indexPath;
- (NSString *)RHTableViewProvider:(RHTableViewProvider *)provider sectionHeaderViewClassForSection:(NSInteger)section;
- (NSString *)RHTableViewProvider:(RHTableViewProvider *)provider sectionFooterViewClassForSection:(NSInteger)section;

- (void)RHTableViewProvider:(RHTableViewProvider *)provider didSelectRowAtIndexPath:(NSIndexPath *)indexPath;
- (void)RHTableViewProviderDidScrollToBottom:(RHTableViewProvider *)provider;

- (void)RHTableViewProvider:(RHTableViewProvider *)provider tableViewShoudDeleteRowAtIndexPath:(NSIndexPath *)indexPath;
- (void)RHTableViewProviderDidUpdateWithoutContent:(RHTableViewProvider *)provider;
- (void)RHTableViewProviderDidUpdateWithContent:(RHTableViewProvider *)provider;

@end
