//
//  ExampleCellSevenExpanding.m
//  RHTableViewProvider
//
//  Created by Rob Hayward on 11/03/2013.
//  Copyright (c) 2013 Rob Hayward. All rights reserved.
//

#import "ExampleSevenCellExpanding.h"

@implementation ExampleSevenCellExpanding

+ (BOOL)expandable
{
  return YES;
}

+ (CGFloat)heightForSelectedState
{
  return 144.0f;
}

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
  self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
  if (self)
  {
    [self.label setBackgroundColor:[UIColor clearColor]];
    [self.label setTextColor:[UIColor whiteColor]];
  }
  return self;
}

- (void)drawContentView:(CGRect)rect
{
  CGContextRef context = UIGraphicsGetCurrentContext();
  CGContextSetFillColorWithColor(context, [[UIColor greenColor] CGColor]);
  CGContextFillRect(context, rect);
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
  [super setSelected:selected animated:animated];
  
}

@end
