//
//  RHTVPContentItem.h
//  Unity-iPhone
//
//  Created by Rob Hayward on 28/03/2013.
//
//

#import <Foundation/Foundation.h>
#import "RHTableViewProviderContent.h"

@interface RHTVPContentItem : NSObject <RHTableViewProviderContent>
{
  CGFloat _cellContentWidth;
  CGFloat _cellFontSize;
}
@property (strong, nonatomic) NSString *name;
@property (strong, nonatomic) id object;
@property (assign, nonatomic) CGFloat cellContentWidth;
@property (assign, nonatomic) CGFloat cellFontSize;

+ (RHTVPContentItem *)withName:(NSString *)name object:(id)object;
- (CGFloat)contentHeight;
- (CGFloat)contentHeightWhenExpanded;

@end
